const { ccclass, property } = cc._decorator;

@ccclass
export default class Dissolve extends cc.Component {

    @property(sp.Skeleton)
    spine: sp.Skeleton = null;

    @property(cc.Slider)
    slider: cc.Slider = null;

    protected start(): void {
        this.slider.progress = this.spine.getMaterial(0).getProperty("dissolveThreshold", 0);
    }

    onSlider() {
        this.spine.getMaterial(0).setProperty("dissolveThreshold", this.slider.progress);
    }


}
